package com.trade.service.thirdparty.xiaotu.service;

import com.trade.service.thirdparty.xiaotu.dto.*;

public interface XiaotuRequestService {

    /**
     * 用户信息注册
     * 
     * @param request
     * @return
     */
    RegisterUserResponse registerUser(RegisterUserRequest request);

    /**
     * 用户信息修改
     * 
     * @param request
     * @return
     */
    Boolean updateUser(UpdateUserRequest request);

    /**
     * 企业信息注册
     *
     * @param request
     * @return
     */
    RegisterEnterpriseResponse registerEnterprise(RegisterEnterpriseRequest request);

    /**
     * 退税税率查询接口
     * 
     * @param commodityRequest
     * @param businessCommonRequest
     * @return CommodityResponse
     */
    CommodityResponse taxRefundRateInquiry(CommodityRequest commodityRequest,
            BusinessCommonRequest businessCommonRequest);

    /**
     * 海关税则查询接口
     * 
     * @param spid 商品id
     * @param businessCommonRequest
     * @return CommodityCustomsTariffRespose
     */
    CommodityCustomsTariffRespose commodityCustomsTariffInquiry(String spid,
            BusinessCommonRequest businessCommonRequest);
}
